#include "guess.h"
#include <bits/stdc++.h>
using namespace std;
int find_number(int MAX) {
    int l = 1, r = MAX;
    int res = 0;
    while (l <= r) {
        int mid = (l + r) / 2;
        if (smaller(mid)) {
            r = mid - 1;
        }
        else res = mid, l = mid + 1;
    }
    return res;
}